Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5103)
@@ -86,7 +86,7 @@
 
     fich_cas='setup/cas.nc'
-    print*,'fich_cas ',fich_cas
+    PRINT*,'fich_cas ',fich_cas
     ierr = nf90_open(fich_cas,nf90_nowrite,nid)
-    print*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
+    PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
     if (ierr/=nf90_noerr) then
        write(*,*) 'ERROR: GROS Pb opening forcings nc file '
@@ -97,25 +97,25 @@
     ierr=nf90_inq_dimid(nid,'lat',rid)
     IF (ierr/=nf90_noerr) THEN
-       print*, 'Oh probleme lecture dimension lat'
+       PRINT*, 'Oh probleme lecture dimension lat'
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=ii)
-    print*,'OK1 nid,rid,lat',nid,rid,ii
+    PRINT*,'OK1 nid,rid,lat',nid,rid,ii
     !.......................................................................
     ierr=nf90_inq_dimid(nid,'lon',rid)
     IF (ierr/=nf90_noerr) THEN
-       print*, 'Oh probleme lecture dimension lon'
+       PRINT*, 'Oh probleme lecture dimension lon'
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=jj)
-    print*,'OK2 nid,rid,lat',nid,rid,jj
+    PRINT*,'OK2 nid,rid,lat',nid,rid,jj
     !.......................................................................
     ierr=nf90_inq_dimid(nid,'lev',rid)
     IF (ierr/=nf90_noerr) THEN
-       print*, 'Oh probleme lecture dimension zz'
+       PRINT*, 'Oh probleme lecture dimension zz'
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=nlev_cas)
-    print*,'OK3 nid,rid,nlev_cas',nid,rid,nlev_cas
+    PRINT*,'OK3 nid,rid,nlev_cas',nid,rid,nlev_cas
     !.......................................................................
     ierr=nf90_inq_dimid(nid,'time',rid)
-    print*,'nid,rid',nid,rid
+    PRINT*,'nid,rid',nid,rid
     nt_cas=0
     IF (ierr/=nf90_noerr) THEN
@@ -123,5 +123,5 @@
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=nt_cas)
-    print*,'OK4 nid,rid,nt_cas',nid,rid,nt_cas
+    PRINT*,'OK4 nid,rid,nt_cas',nid,rid,nt_cas
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -176,6 +176,6 @@
     allocate(q2_prof_cas(nlev_cas))
 
-    print*,'Allocations OK'
-    call read_cas2(nid,nlev_cas,nt_cas                                       &
+    PRINT*,'Allocations OK'
+    CALL read_cas2(nid,nlev_cas,nt_cas                                       &
          ,z_cas,plev_cas,t_cas,q_cas,rh_cas,th_cas,rv_cas,u_cas,v_cas         &
          ,ug_cas,vg_cas,vitw_cas,du_cas,hu_cas,vu_cas,dv_cas,hv_cas,vv_cas    &
@@ -183,5 +183,5 @@
          ,dth_cas,hth_cas,vth_cas,dr_cas,hr_cas,vr_cas,sens_cas,lat_cas,ts_cas&
          ,ustar_cas,uw_cas,vw_cas,q1_cas,q2_cas)
-    print*,'Read cas OK'
+    PRINT*,'Read cas OK'
 
 
@@ -195,7 +195,7 @@
 
     fich_cas='setup/cas.nc'
-    print*,'fich_cas ',fich_cas
+    PRINT*,'fich_cas ',fich_cas
     ierr = nf90_open(fich_cas,nf90_nowrite,nid)
-    print*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
+    PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
     if (ierr/=nf90_noerr) then
        write(*,*) 'ERROR: GROS Pb opening forcings nc file '
@@ -206,22 +206,22 @@
     ierr=nf90_inq_dimid(nid,'lat',rid)
     IF (ierr/=nf90_noerr) THEN
-       print*, 'Oh probleme lecture dimension lat'
+       PRINT*, 'Oh probleme lecture dimension lat'
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=ii)
-    print*,'OK1 read2: nid,rid,lat',nid,rid,ii
+    PRINT*,'OK1 read2: nid,rid,lat',nid,rid,ii
     !.......................................................................
     ierr=nf90_inq_dimid(nid,'lon',rid)
     IF (ierr/=nf90_noerr) THEN
-       print*, 'Oh probleme lecture dimension lon'
+       PRINT*, 'Oh probleme lecture dimension lon'
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=jj)
-    print*,'OK2 read2: nid,rid,lat',nid,rid,jj
+    PRINT*,'OK2 read2: nid,rid,lat',nid,rid,jj
     !.......................................................................
     ierr=nf90_inq_dimid(nid,'nlev',rid)
     IF (ierr/=nf90_noerr) THEN
-       print*, 'Oh probleme lecture dimension nlev'
+       PRINT*, 'Oh probleme lecture dimension nlev'
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=nlev_cas)
-    print*,'OK3 read2: nid,rid,nlev_cas',nid,rid,nlev_cas
+    PRINT*,'OK3 read2: nid,rid,nlev_cas',nid,rid,nlev_cas
     !.......................................................................
     ierr=nf90_inq_dimid(nid,'time',rid)
@@ -231,5 +231,5 @@
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=nt_cas)
-    print*,'OK4 read2: nid,rid,nt_cas',nid,rid,nt_cas
+    PRINT*,'OK4 read2: nid,rid,nt_cas',nid,rid,nt_cas
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -296,6 +296,6 @@
     allocate(q2_prof_cas(nlev_cas))
 
-    print*,'Allocations OK'
-    call read2_cas (nid,nlev_cas,nt_cas,                                                                     &
+    PRINT*,'Allocations OK'
+    CALL read2_cas (nid,nlev_cas,nt_cas,                                                                     &
          ap_cas,bp_cas,z_cas,plev_cas,zh_cas,plevh_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,                    &
          ql_cas,qi_cas,rh_cas,rv_cas,u_cas,v_cas,vitw_cas,omega_cas,ug_cas,vg_cas,du_cas,hu_cas,vu_cas,        &
@@ -304,7 +304,7 @@
          uw_cas,vw_cas,q1_cas,q2_cas,orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough, &
          o3_cas,rugos_cas,clay_cas,sand_cas)
-    print*,'Read2 cas OK'
+    PRINT*,'Read2 cas OK'
     do ii=1,nlev_cas
-       print*,'apres read2_cas, plev_cas=',ii,plev_cas(ii,1)
+       PRINT*,'apres read2_cas, plev_cas=',ii,plev_cas(ii,1)
     enddo
 
@@ -323,7 +323,7 @@
 
     fich_cas='cas.nc'
-    print*,'fich_cas ',fich_cas
+    PRINT*,'fich_cas ',fich_cas
     ierr = nf90_open(fich_cas,nf90_nowrite,nid)
-    print*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
+    PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
     if (ierr/=nf90_noerr) then
        write(*,*) 'ERROR: GROS Pb opening forcings nc file '
@@ -334,24 +334,24 @@
     ierr=nf90_inq_dimid(nid,'lat',rid)
     IF (ierr/=nf90_noerr) THEN
-       print*, 'Oh probleme lecture dimension lat'
+       PRINT*, 'Oh probleme lecture dimension lat'
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=ii)
-    print*,'OK1 read2: nid,rid,lat',nid,rid,ii
+    PRINT*,'OK1 read2: nid,rid,lat',nid,rid,ii
     !.......................................................................
     ierr=nf90_inq_dimid(nid,'lon',rid)
     IF (ierr/=nf90_noerr) THEN
-       print*, 'Oh probleme lecture dimension lon'
+       PRINT*, 'Oh probleme lecture dimension lon'
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=jj)
-    print*,'OK2 read2: nid,rid,lat',nid,rid,jj
+    PRINT*,'OK2 read2: nid,rid,lat',nid,rid,jj
     !.......................................................................
     ierr=nf90_inq_dimid(nid,'lev',rid)
     IF (ierr/=nf90_noerr) THEN
-       print*, 'Oh probleme lecture dimension nlev'
+       PRINT*, 'Oh probleme lecture dimension nlev'
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=nlev_cas)
-    print*,'OK3 read2: nid,rid,nlev_cas',nid,rid,nlev_cas
+    PRINT*,'OK3 read2: nid,rid,nlev_cas',nid,rid,nlev_cas
     IF ( .NOT. ( nlev_cas > 10 .AND. nlev_cas < 1000 )) THEN
-       print*,'Valeur de nlev_cas peu probable'
+       PRINT*,'Valeur de nlev_cas peu probable'
        STOP
     ENDIF
@@ -363,7 +363,7 @@
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=nt_cas)
-    print*,'OK4 read2: nid,rid,nt_cas',nid,rid,nt_cas
+    PRINT*,'OK4 read2: nid,rid,nt_cas',nid,rid,nt_cas
     ! Lecture de l'axe des temps
-    print*,'LECTURE DU TEMPS'
+    PRINT*,'LECTURE DU TEMPS'
     ierr=nf90_inq_varid(nid,'time',timeid)
     if(ierr/=nf90_noerr) then
@@ -447,6 +447,6 @@
     allocate(q2_prof_cas(nlev_cas))
 
-    print*,'Allocations OK'
-    call old_read_SCM (nid,nlev_cas,nt_cas,                                                                     &
+    PRINT*,'Allocations OK'
+    CALL old_read_SCM (nid,nlev_cas,nt_cas,                                                                     &
          ap_cas,bp_cas,z_cas,plev_cas,zh_cas,plevh_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,                    &
          ql_cas,qi_cas,rh_cas,rv_cas,u_cas,v_cas,vitw_cas,omega_cas,ug_cas,vg_cas,du_cas,hu_cas,vu_cas,        &
@@ -455,7 +455,7 @@
          uw_cas,vw_cas,q1_cas,q2_cas,orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough, &
          o3_cas,rugos_cas,clay_cas,sand_cas)
-    print*,'Read2 cas OK'
+    PRINT*,'Read2 cas OK'
     do ii=1,nlev_cas
-       print*,'apres read2_cas, plev_cas=',ii,plev_cas(ii,1)
+       PRINT*,'apres read2_cas, plev_cas=',ii,plev_cas(ii,1)
     enddo
 
@@ -529,5 +529,5 @@
 
 !=====================================================================
-subroutine read_cas2(nid,nlevel,ntime                          &
+SUBROUTINE read_cas2(nid,nlevel,ntime                          &
      ,zz,pp,temp,qv,rh,theta,rv,u,v,ug,vg,w,                   &
      du,hu,vu,dv,hv,vv,dt,dtrad,ht,vt,dq,hq,vq,                     &
@@ -640,7 +640,7 @@
 
   return 
-end subroutine read_cas2
+END SUBROUTINE  read_cas2
 !======================================================================
-subroutine read2_cas(nid,nlevel,ntime,                                       &
+SUBROUTINE read2_cas(nid,nlevel,ntime,                                       &
      ap,bp,zz,pp,zzh,pph,temp,theta,thv,thl,qv,ql,qi,rh,rv,u,v,vitw,omega,ug,vg,&
      du,hu,vu,dv,hv,vv,dt,ht,vt,dq,hq,vq,                                    &
@@ -808,8 +808,8 @@
 
   return 
-end subroutine read2_cas
+END SUBROUTINE  read2_cas
 
 !======================================================================
-subroutine old_read_SCM(nid,nlevel,ntime,                                       &
+SUBROUTINE old_read_SCM(nid,nlevel,ntime,                                       &
      ap,bp,zz,pp,zzh,pph,temp,theta,thv,thl,qv,ql,qi,rh,rv,u,v,vitw,omega,ug,vg,&
      du,hu,vu,dv,hv,vv,dt,ht,vt,dq,hq,vq,                                    &
@@ -867,5 +867,5 @@
   !-----------------------------------------------------------------------
 
-  print*,'ON EST LA'
+  PRINT*,'ON EST LA'
   do i=1,nbvar3d
      ierr=nf90_inq_varid(nid,name_var(i),var3didin(i))
@@ -891,5 +891,5 @@
               stop "getvarup"
            endif
-           print*,'Lecture de la variable #i ',i,name_var(i),minval(resul1),maxval(resul1)
+           PRINT*,'Lecture de la variable #i ',i,name_var(i),minval(resul1),maxval(resul1)
            !-----------------------------------------------------------------------
         else if(i>12.and.i<=54) then   ! Lecture des variables en (time,nlevel,lat,lon)
@@ -900,5 +900,5 @@
               stop "getvarup"
            endif
-           print*,'Lecture de la variable #i ',i,name_var(i),minval(resul),maxval(resul)
+           PRINT*,'Lecture de la variable #i ',i,name_var(i),minval(resul),maxval(resul)
            !-----------------------------------------------------------------------
         else if (i>54.and.i<=65) then   ! Lecture des variables en (time,lat,lon)
@@ -909,5 +909,5 @@
               stop "getvarup"
            endif
-           print*,'Lecture de la variable #i  ',i,name_var(i),minval(resul2),maxval(resul2)
+           PRINT*,'Lecture de la variable #i  ',i,name_var(i),minval(resul2),maxval(resul2)
            !-----------------------------------------------------------------------
         else     ! Lecture des constantes (lat,lon)
@@ -918,5 +918,5 @@
               stop "getvarup"
            endif
-           print*,'Lecture de la variable #i ',i,name_var(i),resul3
+           PRINT*,'Lecture de la variable #i ',i,name_var(i),resul3
         endif
      endif
@@ -999,6 +999,6 @@
      resul3=0.
   enddo
-  print*,'Lecture de la variable APRES ,sens ',minval(sens),maxval(sens)
-  print*,'Lecture de la variable APRES ,flat ',minval(flat),maxval(flat)
+  PRINT*,'Lecture de la variable APRES ,sens ',minval(sens),maxval(sens)
+  PRINT*,'Lecture de la variable APRES ,flat ',minval(flat),maxval(flat)
 
   !CR:ATTENTION EN ATTENTE DE REGLER LA QUESTION DU PAS DE TEMPS INITIAL
@@ -1017,5 +1017,5 @@
 
   return 
-end subroutine old_read_SCM
+END SUBROUTINE  old_read_SCM
 !======================================================================
 
@@ -1090,5 +1090,5 @@
 
 
-  print*,'Check time',day1,day_ju_ini_cas,day_deb+1,pdt_cas
+  PRINT*,'Check time',day1,day_ju_ini_cas,day_deb+1,pdt_cas
 
   ! On teste si la date du cas AMMA est correcte.
@@ -1099,16 +1099,16 @@
   ! Check that initial day of the simulation consistent with AMMA case:
   !      if (annee_ref.ne.2006) then
-  !       print*,'Pour AMMA, annee_ref doit etre 2006'
-  !       print*,'Changer annee_ref dans run.def'
+  !       PRINT*,'Pour AMMA, annee_ref doit etre 2006'
+  !       PRINT*,'Changer annee_ref dans run.def'
   !       stop
   !      endif
   !      if (annee_ref.eq.2006 .and. day1.lt.day_cas) then
-  !       print*,'AMMA a debute le 10 juillet 2006',day1,day_cas
-  !       print*,'Changer dayref dans run.def'
+  !       PRINT*,'AMMA a debute le 10 juillet 2006',day1,day_cas
+  !       PRINT*,'Changer dayref dans run.def'
   !       stop
   !      endif
   !      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) then
-  !       print*,'AMMA a fini le 11 juillet'
-  !       print*,'Changer dayref ou nday dans run.def'
+  !       PRINT*,'AMMA a fini le 11 juillet'
+  !       PRINT*,'Changer dayref ou nday dans run.def'
   !       stop
   !      endif
@@ -1302,7 +1302,7 @@
 
 
-  print*,'Check time',day1,day_ju_ini_cas,day_deb+1,pdt_cas
+  PRINT*,'Check time',day1,day_ju_ini_cas,day_deb+1,pdt_cas
   !       do k=1,nlev_cas
-  !       print*,'debut de interp2_case_time, plev_cas=',k,plev_cas(k,1)
+  !       PRINT*,'debut de interp2_case_time, plev_cas=',k,plev_cas(k,1)
   !       enddo
 
@@ -1314,16 +1314,16 @@
   ! Check that initial day of the simulation consistent with AMMA case:
   !      if (annee_ref.ne.2006) then
-  !       print*,'Pour AMMA, annee_ref doit etre 2006'
-  !       print*,'Changer annee_ref dans run.def'
+  !       PRINT*,'Pour AMMA, annee_ref doit etre 2006'
+  !       PRINT*,'Changer annee_ref dans run.def'
   !       stop
   !      endif
   !      if (annee_ref.eq.2006 .and. day1.lt.day_cas) then
-  !       print*,'AMMA a debute le 10 juillet 2006',day1,day_cas
-  !       print*,'Changer dayref dans run.def'
+  !       PRINT*,'AMMA a debute le 10 juillet 2006',day1,day_cas
+  !       PRINT*,'Changer dayref dans run.def'
   !       stop
   !      endif
   !      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) then
-  !       print*,'AMMA a fini le 11 juillet'
-  !       print*,'Changer dayref ou nday dans run.def'
+  !       PRINT*,'AMMA a fini le 11 juillet'
+  !       PRINT*,'Changer dayref ou nday dans run.def'
   !       stop
   !      endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5103)
@@ -98,7 +98,7 @@
 
     fich_cas='cas.nc'
-    print*,'fich_cas ',fich_cas
+    PRINT*,'fich_cas ',fich_cas
     ierr = nf90_open(fich_cas,nf90_nowrite,nid)
-    print*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
+    PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
     if (ierr/=nf90_noerr) then
        write(*,*) 'ERROR: GROS Pb opening forcings nc file '
@@ -109,24 +109,24 @@
     ierr=nf90_inq_dimid(nid,'lat',rid)
     IF (ierr/=nf90_noerr) THEN
-       print*, 'Oh probleme lecture dimension lat'
+       PRINT*, 'Oh probleme lecture dimension lat'
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=ii)
-    print*,'OK1 read_SCM_cas: nid,rid,lat',nid,rid,ii
+    PRINT*,'OK1 read_SCM_cas: nid,rid,lat',nid,rid,ii
     !.......................................................................
     ierr=nf90_inq_dimid(nid,'lon',rid)
     IF (ierr/=nf90_noerr) THEN
-       print*, 'Oh probleme lecture dimension lon'
+       PRINT*, 'Oh probleme lecture dimension lon'
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=jj)
-    print*,'OK2 read_SCM_cas: nid,rid,lat',nid,rid,jj
+    PRINT*,'OK2 read_SCM_cas: nid,rid,lat',nid,rid,jj
     !.......................................................................
     ierr=nf90_inq_dimid(nid,'lev',rid)
     IF (ierr/=nf90_noerr) THEN
-       print*, 'Oh probleme lecture dimension nlev'
+       PRINT*, 'Oh probleme lecture dimension nlev'
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=nlev_cas)
-    print*,'OK3 read_SCM_cas: nid,rid,nlev_cas',nid,rid,nlev_cas
+    PRINT*,'OK3 read_SCM_cas: nid,rid,nlev_cas',nid,rid,nlev_cas
     IF ( .NOT. ( nlev_cas > 10 .AND. nlev_cas < 200000 )) THEN
-       print*,'Valeur de nlev_cas peu probable'
+       PRINT*,'Valeur de nlev_cas peu probable'
        STOP
     ENDIF
@@ -138,7 +138,7 @@
     ENDIF
     ierr=nf90_inquire_dimension(nid,rid,len=nt_cas)
-    print*,'OK4 read_SCM_cas: nid,rid,nt_cas',nid,rid,nt_cas
+    PRINT*,'OK4 read_SCM_cas: nid,rid,nt_cas',nid,rid,nt_cas
     ! Lecture de l'axe des temps
-    print*,'LECTURE DU TEMPS'
+    PRINT*,'LECTURE DU TEMPS'
     ierr=nf90_inq_varid(nid,'time',timeid)
     if(ierr/=nf90_noerr) then
@@ -230,5 +230,5 @@
     allocate(q2_prof_cas(nlev_cas))
 
-    print*,'Allocations OK'
+    PRINT*,'Allocations OK'
     CALL read_SCM (nid,nlev_cas,nt_cas,                                                                     &
          ap_cas,bp_cas,z_cas,plev_cas,zh_cas,plevh_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,                   &
@@ -241,8 +241,8 @@
          uw_cas,vw_cas,q1_cas,q2_cas,orog_cas,albedo_cas,emiss_cas,q_skin_cas,mom_rough,heat_rough, &
          o3_cas,rugos_cas,clay_cas,sand_cas)
-    print*,'read_SCM cas OK'
+    PRINT*,'read_SCM cas OK'
     do ii=1,nlev_cas
-       print*,'apres read_SCM_cas, plev_cas=',ii,plev_cas(ii,1)
-       !print*,'apres read_SCM, plev_cas=',ii,omega_cas(ii,nt_cas/2+1)
+       PRINT*,'apres read_SCM_cas, plev_cas=',ii,plev_cas(ii,1)
+       !PRINT*,'apres read_SCM, plev_cas=',ii,omega_cas(ii,nt_cas/2+1)
     enddo
 
@@ -414,9 +414,9 @@
     ierr=nf90_inq_varid(nid,'ta',int_test)
     if(ierr/=nf90_noerr) then
-       print*, '++++++++++++++++++++++++++++++'
-       print*, 'variable ta missing in cas.nc '
-       print*, 'You are probably using an obsolete version of the 1D cases'
-       print*, 'please dowload the last version of the 1D archive from https://lmdz.lmd.jussieu.fr/pub/'
-       print*, '++++++++++++++++++++++++++++++'
+       PRINT*, '++++++++++++++++++++++++++++++'
+       PRINT*, 'variable ta missing in cas.nc '
+       PRINT*, 'You are probably using an obsolete version of the 1D cases'
+       PRINT*, 'please dowload the last version of the 1D archive from https://lmdz.lmd.jussieu.fr/pub/'
+       PRINT*, '++++++++++++++++++++++++++++++'
        CALL abort_gcm ('mod_1D_cases_read_std','bad version of 1D directory',0)
     endif
@@ -430,5 +430,5 @@
        missing_var(i)=0.
        ierr=nf90_inq_varid(nid,name_var(i),var3didin(i))
-       print*, 'name_var(i)', name_var(i), var3didin(i)
+       PRINT*, 'name_var(i)', name_var(i), var3didin(i)
        if(ierr/=nf90_noerr) then
           print *,'Variable manquante dans cas.nc:',i,name_var(i)
@@ -447,5 +447,5 @@
              if ( name_var(i) == 'va_nud' .and. nint(nudging_v)==0) stop 'Nudging inconsistency v'
           ELSE
-             print*,'GUIDAGE : CONSISTENCY CHECK DEACTIVATED FOR TESTS of SANDU/REF'
+             PRINT*,'GUIDAGE : CONSISTENCY CHECK DEACTIVATED FOR TESTS of SANDU/REF'
           ENDIF
 
@@ -471,5 +471,5 @@
                 stop "getvarup"
              endif
-             print*,'Lecture de la variable #i ',i,name_var(i),minval(resul1),maxval(resul1)
+             PRINT*,'Lecture de la variable #i ',i,name_var(i),minval(resul1),maxval(resul1)
 
              !-----------------------------------------------------------------------
@@ -484,5 +484,5 @@
                 stop "getvarup"
              endif
-             print*,'Lecture de la variable #i ',i,name_var(i),minval(resul),maxval(resul)
+             PRINT*,'Lecture de la variable #i ',i,name_var(i),minval(resul),maxval(resul)
 
              !-----------------------------------------------------------------------
@@ -496,5 +496,5 @@
                 stop "getvarup"
              endif
-             print*,'Lecture de la variable #i  ',i,name_var(i),minval(resul2),maxval(resul2)
+             PRINT*,'Lecture de la variable #i  ',i,name_var(i),minval(resul2),maxval(resul2)
 
              !-----------------------------------------------------------------------
@@ -508,5 +508,5 @@
                 stop "getvarup"
              endif
-             print*,'Lecture de la variable #i ',i,name_var(i),resul3
+             PRINT*,'Lecture de la variable #i ',i,name_var(i),resul3
           endif
        endif
@@ -600,6 +600,6 @@
        resul3=0.
     enddo
-    print*,'Lecture de la variable APRES ,sens ',minval(sens),maxval(sens)
-    print*,'Lecture de la variable APRES ,flat ',minval(flat),maxval(flat)
+    PRINT*,'Lecture de la variable APRES ,sens ',minval(sens),maxval(sens)
+    PRINT*,'Lecture de la variable APRES ,flat ',minval(flat),maxval(flat)
 
     !CR:ATTENTION EN ATTENTE DE REGLER LA QUESTION DU PAS DE TEMPS INITIAL
@@ -726,7 +726,7 @@
 
 
-    print*,'Check time',day1,day_ju_ini_cas,day_deb+1,pdt_cas
+    PRINT*,'Check time',day1,day_ju_ini_cas,day_deb+1,pdt_cas
     !       do k=1,nlev_cas
-    !       print*,'debut de interp2_case_time, plev_cas=',k,plev_cas(k,1)
+    !       PRINT*,'debut de interp2_case_time, plev_cas=',k,plev_cas(k,1)
     !       enddo
 
@@ -738,16 +738,16 @@
     ! Check that initial day of the simulation consistent with AMMA case:
     !      if (annee_ref.ne.2006) then
-    !       print*,'Pour AMMA, annee_ref doit etre 2006'
-    !       print*,'Changer annee_ref dans run.def'
+    !       PRINT*,'Pour AMMA, annee_ref doit etre 2006'
+    !       PRINT*,'Changer annee_ref dans run.def'
     !       stop
     !      endif
     !      if (annee_ref.eq.2006 .and. day1.lt.day_cas) then
-    !       print*,'AMMA a debute le 10 juillet 2006',day1,day_cas
-    !       print*,'Changer dayref dans run.def'
+    !       PRINT*,'AMMA a debute le 10 juillet 2006',day1,day_cas
+    !       PRINT*,'Changer dayref dans run.def'
     !       stop
     !      endif
     !      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) then
-    !       print*,'AMMA a fini le 11 juillet'
-    !       print*,'Changer dayref ou nday dans run.def'
+    !       PRINT*,'AMMA a fini le 11 juillet'
+    !       PRINT*,'Changer dayref ou nday dans run.def'
     !       stop
     !      endif
@@ -1208,5 +1208,5 @@
 
     return
-  end SUBROUTINE interp2_case_vertical_std
+  END SUBROUTINE  interp2_case_vertical_std
   !***************************************************************************** 
 
